com.jogamp.opengl.util.AnimatorBase$UncaughtAnimatorException

com.jogamp.opengl.GLException: Caught IllegalArgumentException: Error compiling shader: ERROR: 0:1: '' :  #version required and missing. ERROR: 0:1: 'attribute' : syntax error: syntax error ERROR: 0:1: '' :  #version required and missing. ERROR: 0:7: 'varying' : syntax error: syntax error  on thread main-AWTAnimator#00

Solutions on the web28

  • via jogamp.org by Unknown author, 11 months ago
    com.jogamp.opengl.GLException: Caught IllegalArgumentException: Error compiling shader: ERROR: 0:1: '' :  #version required and missing. ERROR: 0:1: 'attribute' : syntax error: syntax error ERROR: 0:1: '' :  #version required and missing. ERROR: 0:7: 'varying' : syntax error: syntax error  on thread main-AWTAnimator#00
  • via raspberrypi.org by Unknown author, 11 months ago
    com.jogamp.opengl.GLException: Caught IllegalArgumentException: Error compiling shader: ERROR: 0:1: '' : #version required and missing. ERROR: 0:1: 'attribute' : syntax error: syntax error ERROR: 0:1: '' : #version required and missing. ERROR: 0:7: 'varying' : syntax error: syntax error on thread main-AWTAnimator#00
  • via GitHub by chalkie666
    , 1 month ago
    com.jogamp.opengl.GLException: Caught OpenCLException: OpenCL error: -5 -> CL_OUT_OF_RESOURCES on thread SciJava-2e5ee2c9-Thread-0-FPSAWTAnimator#00-Timer0
  • Stack trace

    • com.jogamp.opengl.util.AnimatorBase$UncaughtAnimatorException: com.jogamp.opengl.GLException: Caught IllegalArgumentException: Error compiling shader: ERROR: 0:1: '' :  #version required and missing. ERROR: 0:1: 'attribute' : syntax error: syntax error ERROR: 0:1: '' :  #version required and missing. ERROR: 0:7: 'varying' : syntax error: syntax error  on thread main-AWTAnimator#00 at com.jogamp.opengl.util.AWTAnimatorImpl.display(AWTAnimatorImpl.java:84) at com.jogamp.opengl.util.AnimatorBase.display(AnimatorBase.java:451) at com.jogamp.opengl.util.Animator$MainLoop.run(Animator.java:198) at java.lang.Thread.run(Thread.java:745) Caused by: com.jogamp.opengl.GLException: Caught IllegalArgumentException: Error compiling shader: ERROR: 0:1: '' :  #version required and missing. ERROR: 0:1: 'attribute' : syntax error: syntax error ERROR: 0:1: '' :  #version required and missing. ERROR: 0:7: 'varying' : syntax error: syntax error  on thread main-AWTAnimator#00 at com.jogamp.opengl.GLException.newGLException(GLException.java:76) at jogamp.opengl.GLDrawableHelper.invokeGLImpl(GLDrawableHelper.java:1311) at jogamp.opengl.GLDrawableHelper.invokeGL(GLDrawableHelper.java:1131) at com.jogamp.newt.opengl.GLWindow.display(GLWindow.java:680) at com.jogamp.opengl.util.AWTAnimatorImpl.display(AWTAnimatorImpl.java:77) ... 3 more Caused by: java.lang.IllegalArgumentException: Error compiling shader: ERROR: 0:1: '' :  #version required and missing. ERROR: 0:1: 'attribute' : syntax error: syntax error ERROR: 0:1: '' :  #version required and missing. ERROR: 0:7: 'varying' : syntax error: syntax error at com.badlogic.gdx.graphics.g2d.SpriteBatch.createDefaultShader(SpriteBatch.java:157) at com.badlogic.gdx.graphics.g2d.SpriteBatch.<init>(SpriteBatch.java:120) at com.badlogic.gdx.graphics.g2d.SpriteBatch.<init>(SpriteBatch.java:73) at com.mygdx.game.MyGdxGame.create(MyGdxGame.java:18) at com.badlogic.gdx.backends.jogamp.JoglGraphics.init(JoglGraphics.java:88) at jogamp.opengl.GLDrawableHelper.init(GLDrawableHelper.java:641) at jogamp.opengl.GLDrawableHelper.init(GLDrawableHelper.java:663) at jogamp.opengl.GLAutoDrawableBase$1.run(GLAutoDrawableBase.java:430) at jogamp.opengl.GLDrawableHelper.invokeGLImpl(GLDrawableHelper.java:1275) ... 6 more

    Write tip

    You have a different solution? A short tip here would help you and many other users who saw this issue last week.

    Users with the same issue

    Unknown user
    Once, 11 months ago